Bug 731596 - .bashrc entry --- xmodmap -e "remove lock = Caps_Lock"-- no longer switches off Caps Lock key
.bashrc entry --- xmodmap -e "remove lock = Caps_Lock"-- no longer switches o...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-17 19:32 EDT by rene reitsma
Modified: 2011-08-22 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 09:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rene reitsma 2011-08-17 19:32:19 EDT
Description of problem:

The .bashrc entry:

xmodmap -e "remove lock = Caps_Lock"

no longer (after upgrading from fc13 to fc15) switches off the Caps Lock key.

Version-Release number of selected component (if applicable):
bash --version
GNU bash, version 4.2.10(1)-release (i386-redhat-linux-gnu)

How reproducible: always

Steps to Reproduce: 
1. stick the line in .bashrc
2. source .bashrc
3. toggle the Caps Lock key (should no longer toggle, but does)
  
Actual results: Caps Lock not switched off

Expected results: Caps Lock switched off


Additional info:
Comment 1 Roman Rakus 2011-08-18 08:57:52 EDT
I don't see any relation to bash. Changing component to xorg-x11-server-utils
Comment 2 Matěj Cepl 2011-08-22 09:52:11 EDT
I believe that the correct sanctioned way is

xmodmap -e 'clear Lock'

(mentioned in the manpage).

Unless it is broken for you, I stand behind this bug being a configuration issue.
Comment 3 rene reitsma 2011-08-22 13:12:31 EDT
Neither 

xmodmap -e "remove lock = Caps_Lock"

nor

xmodmap -e 'clear Lock'

nor 

xmodmap -e "clear Lock"


seem to work; Caps Lock remains active (toggling) in all cases.

RR

Note You need to log in before you can comment on or make changes to this bug.